;!
;! Automatically generated configuration file
;! Filename: voicemail.conf (/etc/asterisk/voicemail.conf)
;! Generator: AppVoicemail
;! Creation Date: Tue Oct  1 17:06:35 2013
;!
[zonemessages]
; Eastern Timezone Aliases
eastern = America/New_York|'vm-received' Q 'digits/at' IMp
eastern24 = America/New_York|'vm-received' q 'digits/at' H 'digits/hundred' M 'hours'
est = America/New_York|'vm-received' Q 'digits/at' IMp
; Central Timezone Aliases
central = America/Chicago|'vm-received' Q 'digits/at' IMp
central24 = America/Chicago|'vm-received' q 'digits/at' H 'digits/hundred' M 'hours'
cst = America/Chicago|'vm-received' Q 'digits/at' IMp
; Mountain Timezone Aliases
mountain = America/Denver|'vm-received' Q 'digits/at' IMp
mountain24 = America/Denver|'vm-received' q 'digits/at' H 'digits/hundred' M 'hours'
mst = America/Denver|'vm-received' Q 'digits/at' IMp
; Phoenix (PNT) Timezone Aliases
phoenix = America/Phoenix|'vm-received' q 'digits/at' IMp
phoenix24 = America/Phoenix|'vm-received' q 'digits/at' H 'digits/hundred' M 'hours'
pnt = America/Phoenix|'vm-received' Q 'digits/at' IMp
; Pacific (PST) Timezone Aliases
pacific = America/Los_Angeles|'vm-received' q 'digits/at' IMp
pacific24 = America/Los_Angeles|'vm-received' q 'digits/at' H 'digits/hundred' M 'hours'
pst = America/Los_Angeles|'vm-received' Q 'digits/at' IMp
; Alaskan (AKST) Timezone Aliases
alaskan = America/Anchorage|'vm-received' q 'digits/at' IMp
alaskan24 = America/Anchorage|'vm-received' q 'digits/at' H 'digits/hundred' M 'hours'
akst = America/Anchorage|'vm-received' q 'digits/at' IMp
; Hawaii (HST/HAST) Timezone Aliases
hawaiian = Pacific/Honolulu|'vm-received' q 'digits/at' IMp
hawaiian24 = Pacific/Honolulu|'vm-received' q 'digits/at' H 'digits/hundred' M 'hours'
hst = Pacific/Honolulu|'vm-received' Q 'digits/at' IMp
hast = Pacific/Honolulu|'vm-received' Q 'digits/at' IMp

[general]

;**********************************
;***         Messages           ***
;**********************************
;Compressed format.  Valid values are wav49|gsm|wav
format = wav

;By default, Asterisk will only allow a maximum of 100 messages per user.  This key determines how many messages can be left in a voicemail box
maxmsg = 100

;This key sets a maximum amount of recording time that can be used by a single voicemail.
maxsecs = 600

;Asterisk will ignore voicemail messages that do not meet this minimum recording time requirement.
;Set this one longer than maxsilence
;minsecs = 3

;This defines the maximum time of a voicemail greeting.
maxgreet = 1800

;This key defines the maximum amount of time for which the caller can remain silent before the recording is stopped.
maxsilence = 5

;This key allows you to fine-tune silence sensitivity.  Valid valies are from 0 to 32767.
silencethreshold = 128

;When listening to messages, users can skip ahead or backwards by this many milliseconds
skipms = 3000

;This key tells Asterisk to hang up on a caller if they enter the wrong password more than maxlogins times.
maxlogins = 3

;This key will move listened to messages to the OLD folder.
moveheard = yes

;Setting this to yes will preserve the original urgency setting of any messages the user receives and forwards on.
;If set to no, the users can set the urgency level themselves on messgaes that they forward.
forward_urgent_auto = no

;If you use the users.conf file, you can define the context where entities are registered
;userscontext = default

;This command will state the caller ID of the person who left the message
saycid = yes

;This command will state the duration of the length of the message
;sayduration = no

;This allows users to compose messages to other users from within their mailboxes
sendvoicemail = yes

;This option allows users composing messages from their mailboxes to take advantage of the directory
usedirectory = yes

;This key allows users to exit the voicemail system while they are in the process of leaving a message (for example, by pressing 0 to get to an operator)
exitcontext = toSvcCenter

;This key specifies whether users can review their messages prior to delivering them.
review = yes

;This key specifies whether you can leave the mailbox by pressing 0.
operator = yes

;After an e-mail message is sent, this key determines whether the message is deleted
delete = no

;This key takes you to the next message after you've dealt with the current message
nextaftercmd = yes

;This key will check to see if the mailbox password is the same as the mailbox number.  If it is, it will force the user to change their voicemail password and record their name
forcename = yes

;This key will check to see if a greeting has been set.  If it has not, it will force the user to define their voicemail greetings
forcegreetings = yes

;This option enforces a minimum password length, but does not prevent them from creating an easy to guess password
minpassword = 6

;You can use this setting to customize the fast forward key
listen-control-forward-key = #

;You can use this setting to customize the rewind key
listen-control-reverse-key = *

;You can use this setting to customize the pause/unpause key
listen-control-pause-key = 0

;You can use this setting to customize the replay key
listen-control-restart-key = 2

;You can use this setting to customize the interrupt playback key
listen-control-stop-key = 13456789

;This setting will allow you to specify how many deleted messages are automatically stored by the system.
;This is similar to a recycle bin.  Setting this to 0 disables the feature.  Up to 9999 messages can be stored.
backupdeleted = 2

;**********************************
;***    External Notification   ***
;**********************************

;If you wish to run an external app whenever a message is left, define it here.
;externnotify = /path/to/script

;This evaluates a password for validity based on rules in the external script.  This is to make stronger passwords.
externpasscheck = /usr/local/bin/voicemailpwcheck.py

;Any time the password on a mailbox is changed, this script defined here would be executed. These two keys are synonymous.
;externpass = /path/to/script
;externpassnotify = /path/to/script

;**********************************
;***            SMDI            ***
;**********************************

;Enables SMDI if Asterisk is being used as a voicemail server on a PBX that supports SMDI
smdienable = no

;If SMDI is enabled, this defines the port that messages between Asterisk and the external PBX would pass across
;/dev/ttyS0

;**********************************
;***      ADS Configuration     ***
;**********************************

;Use this option to configure the Feature Descriptor Number
;adsifdn = 0000000F

;Use this option to configure the security lock code
;adsisec = 9BDBF7AC

;This specifies the ADSI voicemail application version number
;adsiver = 1

;**********************************
;***  ODBC Voicemail Storage    ***
;**********************************

;If you want to store voice messages in a database, you can do that using the Asterisk res_odbc connector.  Here you would set the name of the item in teh res_odbc file.
odbcstorage = Oracle11g

;This setting specifies the table name in the database that the odbcstorage setting refers to.
odbctable = VOICEMAIL_MSG

;**********************************
;***          EMail             ***
;**********************************

;When Asterisk sends an e-mail, you can use this setting to define what the Subject: line of the email will look like
emailsubject = New message ${VM_MSGNUM} in mailbox ${VM_MAILBOX}

;When Asterisk sends an e-mail, you can use this setting to define what the body of the email will look like
emailbody = ${VM_NAME},\n\n\tYou have ${VM_MSGNUM} message(s) in mailbox ${VM_Mailbox}.\n\n\tNew Message from phone number ${VM_CALLERID} with a duration of ${VM_DUR} on ${VM_DATE}.

;This option allows you to specify the date format in emails.
;emaildateformat = %A, %d %B %Y at %H:%M:%S

;When an e-mail is sent from Asterisk, this is the address it will appear to come from.
serveremail = DoNotReply@domain.com

;If an e-mail address is specified, this key determines whether the message file is attached to the e-mail.
attach = no

;If attach is enabled and messages are stored in different formats, this key defines which format is sent with e-mail notifications.
;attachfmt = wav

;This option allows you to override the default operating system application for sending mail
;mailcmd = /usr/sbin/sendmail -t

;If you do not want emails from your voicemail to have the string [PBX] added to the subject, you can set this to yes.
pbxskip = yes

;You can use this setting to configure the From: name that will appear in emails from your PBX
fromstring = Voicemail System

;**********************************
;***   SMS to email gateway     ***
;**********************************

;Short message voicemail notifications to send to an e-mail to SMS gateway
pagerfromstring = Voicemail System

;Short message voicemail notifications to send to an e-mail to SMS gateway
pagersubject = New Voice Mail

;Short message voicemail notifications to send to an e-mail to SMS Gateway
pagerbody = Message ${VM_MSGNUM} from ${VM_CALLERID} in mailbox ${VM_MAILBOX}

;This option allows you to specify the date format in e-mail to SMS Gateway messages
;pagerdateformat = %A, %d %B %Y at %H:%M:%S

;**********************************
;***         POLLING            ***
;**********************************

;If the contents of mailboxes are changed by anything other than app_voicemail (such as an external application or another Asterisk system), this setting will cause the app_voicemail to poll all mailboxes for changes.  This will trigger proper MWI updates.
pollmailboxes = yes

;Used in concert with pollmailboxes, this option specifies the number of seconds to wait between mailbox polls
pollfreq = 600

;**********************************
;***           IMAP             ***
;**********************************

;This enables/disables remote storage of greetings in the IMAP folder.
;imapgreetings = no

;If you've enabled imapgreetings, this parameter allows you to define the folder your greetings will be stored in.
;greetingsfolder = INBOX

;This field allows you to specify the parent folder for your mailboxes.
;imapparentfolder = INBOX

;Defines the IMAP server Asterisk should connect to
;imapserver = localhost

;Defines the port of the IMAP server to connect to
;imapport = 143

;IMAP servers typically have different flags that can be passed along with the mailbox name.
;imapflags = ssl

;The folder to store voicemail messages into on the IMAP server.
;imapfolder = INBOX

;If your IMAP server has been defined with an account that can access all mailboxes, you can define that user for Asterisk to connect to the server with.
;authuser = user

;The password used by authuser
;authpassword = password

;The TCP open timeout in seconds
;imapopentimeout = 60

;The TCP close timeout in seconds
;imapclosetimeout = 60

;The TCP read timeout in seconds
;imapreadtimeout = 60

;The TCP write timeout in seconds
;imapwritetimeout = 60

;**********************************
;***           MISC             ***
;**********************************

;Specify the prompt played for directoryintro
directoryintro = dir-intro

;If you need a character set other than ISO-8859-1 (Latin 1) to be supported, specify it here.
charset = ISO-8859-1
